API ReferenceInboxes
Delete an inbox
Roles
adminissuermanaged-issuer
Analytics Events
MESSAGING_INBOX_DELETE_STARTMESSAGING_INBOX_DELETE_SUCCESSMESSAGING_INBOX_DELETE_FAIL
DELETE
/v1/messaging/inboxes/{id}Deletes an inbox by providing its ID.
Analytic events
- MESSAGING_INBOX_DELETE_START
- MESSAGING_INBOX_DELETE_SUCCESS
- MESSAGING_INBOX_DELETE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Inbox ID
Response Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v1/messaging/inboxes/string"Empty
{
"code": "BadRequest",
"message": "Validation Error",
"details": [
{
"value": "notUUIDvalue",
"msg": "Invalid value",
"param": "inboxId",
"location": "params"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Update an inbox PUT
Update the inbox configurations
Register DID with an inbox POST
Register the provided DID to the requested inbox. <Callout> DID registration with inboxes is currently limited to `did:key`' </Callout> ### **Analytic events** * MESSAGING_INBOX_DID_REGISTER_START * MESSAGING_INBOX_DID_REGISTER_SUCCESS * MESSAGING_INBOX_DID_REGISTER_FAIL